Tag: 机器人工作室

Android Studio“没有发现测试”

有没有人能够得到测试运行在Android Studio(从GUI而不是终端),我一直无法从GUI运行测试。 每次尝试通过GUI运行测试时,我都会收到以下消息: 我能够使用以下命令从终端运行测试: ./gradlew connectedAndroidTest 我在Mac OSX上运行Android Studio 0.5.2,使用Gradle 1.11和Plugin 0.9.0 我的项目结构如下; MyProject/ src/ androidTest/ java/ com.myproject.app.test/ … (tests source code) … main/ java/ com.myproject.app/ … (source code) … res/ … (resources code) … build.gradle 我的build.gradle文件看起来类似于以下内容: … android { compileSdkVersion 19 buildToolsVersion “19.0.1” defaultConfig { versionCode 12 versionName “2.0” minSdkVersion 9 targetSdkVersion 19 testPackageName […]

如何使用DataSource作为数据库和网络来实现页面库?

我正在写一个应用程序,从网站上抓取数据,并将其作为应用程序列表加载。 我打算适当地缓存数据,即使在低连接的情况下也能提供更好的用户体验,就像Google的示例一样( https://github.com/googlesamples/android-architecture-components/blob/master/PagingWithNetworkSample/app/src /main/java/com/android/example/paging/pagingwithnetwork/reddit/repository/inDb/DbRedditPostRepository.kt )问题是上面的代码是用Kotlin编写的,我不知道它,即使当我使用Android Studio把它转换成Java代码就变得非常混乱 所以我希望能回答我的一些问题 – 1.我应该使用什么types的数据源,我没有任何东西可以作为把一个项目连接到另一个项目(或一个页面到另一个页面)的钥匙, ? 2.什么是我需要在分页库中实现的确切组件,是否需要返回一个LiveData >>? 3.我可以在分页库工作流中使用库类(来自体系结构组件)作为数据源,并跳过实现DataSource? 非常感谢您的帮助,我真的很困扰这个!

不能@Required或@NotNull

在使用REALM版本4.3.3进行Android开发时,出现以下错误: Error: Field “groupName” with type “pizware.evaluapp.Models.Group” can not be @Required or @NotNull. 但是我没有在任何领域使用这些标签。 有谁知道发生了什么事?

使用意向操作在Android Studio中创建Kotlin类

在Android Studio上使用Java时,我经常不必创建文件,只需输入要使用的类的名称,然后使用“Intent Actions”来解决问题并创建必要的文件。 问题是,当使用Kotlin时,如果需要的话,可以说一个接口,当我点击意图动作时,Android Studio将创建与我正在处理的文件相同的接口,而不是像选择包一样提供对话框对于Java。 任何想法如何解决这个问题?

Android Studio转换为Kotlin:在某些情况下使用@JvmStatic

我一直在Android上使用Kotlin相当集中。 这确实使编程乐趣了。 尽管如此,在某些情况下(主要是util类,名称应该是简短的),当自动将Java转换为Kotlin时,我希望在静态方法上使用@JvmStatic,而不是将调用者转换为MyClass.Companion.Bar 。 也就是说,在一些特定的情况下,拥有这个将会很好 public static foo(Barian bar) 转换成 @JvmStatic fun foo(bar:Barian) 所以我可以维护从Java的短的调用语法: MyClass.foo(bar) 而不是 MyClass.Companion.foo(bar) 显然,在大多数情况下,我认为这是不好的方式,因为很多原因,比如未来的兼容性,非Kotlin的精神等等,但是在少数情况下,它可以使Java代码(使用我的类)更短。

Android Studio / IntelliJ中的^ let注释是什么?

在一个封闭的框架中,我有时候会在我的陈述之前看到注释,而我不清楚它们的含义或者为什么他们在那里。 是否表示将返回一个值作为let调用的值? 截图:

错误:链接引用失败。 – > QueuedJob

我正在研究使用Kotlin的Android材质设计,一切都很好,直到我尝试使用android.support.design.widget.FloatingActionButton。 当我重建项目时,我得到了下面的错误信息: Information:Gradle tasks [clean, :app:assembleDebug] C:\Users\qin\.gradle\caches\transforms-1\files-1.1\appcompat-v7-26.1.0.aar\3d5ddc383685b19d22429a29e09f2aeb\res\values\values.xml Error:(1419, 5) error: style attribute ‘attr/textColor (aka br.com.conseng.themedesign:attr/textColor)’ not found. Error:(1525, 5) error: style attribute ‘attr/textColor (aka br.com.conseng.themedesign:attr/textColor)’ not found. …..\CursoMaterialDesign\ThemeDesign\app\build\intermediates\incremental\mergeDebugResources\merged.dir\values\values.xml Error:(1843) style attribute ‘attr/textColor (aka br.com.conseng.themedesign:attr/textColor)’ not found. Error:(1953) style attribute ‘attr/textColor (aka br.com.conseng.themedesign:attr/textColor)’ not found. Error:failed linking references. Error:java.util.concurrent.ExecutionException: java.util.concurrent.ExecutionException: com.android.tools.aapt2.Aapt2Exception: AAPT2 error: check logs for […]

Android工作室3.0.1:执行失败的任务’应用程序:processDebugGoogleServices’

朋友们,我最近开始在Android上工作,如果你发现一些基本的错误,请原谅。 这是我的问题。 我试图从过去的两天解决问题,但没有取得任何成功。 最近,我已经升级我的Android工作室到3.0.1,并试图编译我的项目,但我面临以下错误 错误:执行任务’:app:processDebugGoogleServices’失败。 请通过更新google-services插件的版本来修复版本冲突(有关最新版本的信息, 请访问https://bintray.com/android/android-tools/com.google.gms.google-services/ )或将com.google.android.gms的版本更新为11.0.0。 请检查我的build.gradle apply plugin: ‘com.android.application’ apply plugin: ‘kotlin-android’ apply plugin: ‘kotlin-android-extensions’ dependencies { implementation ‘com.google.firebase:firebase-messaging:11.0.0’ compile fileTree(include: [‘*.jar’], dir: ‘libs’) testCompile ‘junit:junit:4.12’ //adding volley library //Picasso compile “org.jetbrains.kotlin:kotlin-stdlib:$kotlin_version” compile ‘com.android.volley:volley:1.0.0’ compile ‘com.squareup.picasso:picasso:2.5.2’ compile ‘com.google.gms:google-services:3.1.2’ // compile ‘com.google.gms:google-services:3.1.1’ compile ‘com.google.android.gms:play-services:11.0.0’ compile ‘com.android.support:appcompat-v7:25.2.0’ compile ‘com.android.support:design:25.2.0’ compile ‘com.google.android.gms:play-services-ads:11.0.0’ compile ‘com.google.firebase:firebase-core:10.0.1’ compile […]

在android studio中使用main函数运行单个kotlin类

我正在尝试熟悉Kotlin在我的android应用程序中使用。 所以首先我想尝试一些简单的kotlin示例,只是为了熟悉kotlin的语法。 我只用main方法在我的android项目中创建了一个名为Main.kt的类。 fun main(args: Array) { println(“Hello World”); } Android工作室向我展示了主方法左侧的一个kotlin图标,当我点击这个图标时,它会显示下面三个选项: 1)运行Mainkt 2)调试Mainkt 3)运行与覆盖面的Mainkt 我选择了第一个,但它抛出了我 Exception in thread “main” java.lang.ClassNotFoundException: com.vikalp.kotlin.MainKt at java.net.URLClassLoader.findClass(URLClassLoader.java:381) at java.lang.ClassLoader.loadClass(ClassLoader.java:424) at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331) at java.lang.ClassLoader.loadClass(ClassLoader.java:357) at java.lang.Class.forName0(Native Method) at java.lang.Class.forName(Class.java:264) at com.intellij.rt.execution.application.AppMainV2.main(AppMainV2.java:107) 我陷入了这样一个小问题。 让我知道你们中的任何一个人是否面临这样的问题和解决方案。

IDE在android studio 3.0.1中创建一个新的活动时出错

我有问题,以创建新的活动在Android Studio 3.0.1的Windows 10,问题是,直到昨天一切工作,但现在它会引发错误,当试图创建一个新的活动,然后,不要创建它。 只能创建类或空的活动,但没有其他出现在画廊。 错误消息是: SingleRootFileViewProvider中的文件树不一致(myVirtualFile = LightVirtualFile:\ targetFile,content = VirtualFileContent {size = 69}}; nodeLength = 137; 文件长度= 69 我已经完成了所有工作,我已经下载了最新版本的Gradle,并且重新安装了Android Studio。

Kotlin language will be the best programming language for Android.